

#import "main.h"
#import "example.h"

@implementation main
- (id) initWithWebView:(WebView*)wview
{
	return self;
}

- (void) windowScriptObjectAvailable:(WebScriptObject *) windowScriptObject
{
    	[windowScriptObject setValue:self forKey:@"MyScriptObject"];
}

+ (BOOL) isSelectorExcludedFromWebScript:(SEL)aSelector 
{ 
	return NO; 
}

- (void)connect
{
	sql_connect();
}

- (int)isConnected
{
	bool value = sql_check_connection();
	if(value) return 1;
	else return 0;
}

- (void)disconnect
{
	sql_disconnect();
}

- (int)getNumConnections
{
	int value = sql_get_connection_count();
	
	return value-1;
}

- (int)getNumBlockedConnections
{
	return 0;
}

- (int)getFreeDiskSpace
{
	return 0;
}

- (int)getCPUUsage
{
	int value = sql_get_cpu_usage();
	
	return value;
}
- (int)getPacketsReceived
{
	int value = sql_get_packets_received();
	return value;
}

- (int)getPacketsSent
{
	int value = sql_get_packets_sent();
	return value;
}

- (double)getCacheHitRate
{
	int value1 = sql_get_cache_hits();
	int value2 = sql_get_cache_reads();
	
	double rate = (double)value1 / (double)value2;
	
	int rateRounded = rate*10000;
	
	double rateTruncated = (double)rateRounded / 100.00;
	return rateTruncated;
}


@end
